Subject: Re: Listen sockets and scoped addressing?

From: Tim Hartrick <[email-masked]>
Date: Fri, 12 Apr 2002 09:49:55 -0700 (PDT)

> From [email-masked] Fri Apr 12 07:53:39 2002
> Received: from roll.mentat.com (roll [192.88.122.129])
> 	by leo.mentat.com (8.9.1b+Sun/8.9.1) with ESMTP id HAA16591
> 	for <tim@leo>; Fri, 12 Apr 2002 07:53:39 -0700 (PDT)
> Received: from patan.sun.com (patan.Sun.COM [192.18.98.43])
> 	by roll.mentat.com (8.9.1b+Sun/8.9.1) with ESMTP id HAA17372
> 	for <[email-masked]>; Fri, 12 Apr 2002 07:53:37 -0700 (PDT)
> Received: from engmail2.Eng.Sun.COM ([129.146.1.25])
> 	by patan.sun.com (8.9.3+Sun/8.9.3) with ESMTP id IAA14156;
> 	Fri, 12 Apr 2002 08:52:23 -0600 (MDT)
> Received: from sunroof.eng.sun.com (sunroof.Eng.Sun.COM [129.146.168.88])
> 	by engmail2.Eng.Sun.COM (8.9.3+Sun/8.9.3/ENSMAIL,v2.1p1) with ESMTP id HAA00073;

Markku Savela,

> 
> However, I'm not quite sure how I should deal with other
> incoming destionations: link local or global scope packets. Should I
> 
> a) match them with site scope listen, if the originating interface
>    belongs to site scope = X?
> 
> b) only accept strictly destination with site scope addresses, even if
>    they enter system from interface that has site scope = X?
> 

For what it is worth, we will be implementing b).

Tim Hartrick
Mentat Inc.
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------